BLE_API v2.1.3

Modules | Functions
BLE RF PHY for DTM
BLE DTM

## Modules
| BLE DTM TX/ RX Mode Definition
| BLE DTM Sleep/ Deep Sleep Mode Definition

## Functions
void | BleDTM_phy_reset (void)
uint8_t | BleDTM_txPower_set (uint8_t power_index)
void | BleDTM_testPayload_set (uint32_t length)
void | BleDTM_txTest_enable (uint8_t *headerSrcAddr)
void | BleDTM_channel_set (uint8_t channel)
void | BleDTM_TR_ManualSet (void)
void | BleDTM_sleepMode_set (uint8_t mode)
uint8_t | BleDTM_intRxState_check (void)
uint8_t | BleDTM_crc_checkResult_get (void)
void | BleDTM_radio_prepare (uint8_t rx, uint32_t packet_type, uint8_t radio_mode, uint32_t phys_ch)
int8_t | BleDTM_rssi_get (void)

## Detailed Description

Provides the declaration that RF IC control needed for DTM. (ble_rf_dtm.h).

## Function Documentation

## ◆ BleDTM_channel_set()

void BleDTM_channel_set | ( | uint8_t | channel | ) |

BLE DTM Set Channel

Parameters

  [in] | channel | physical channel.

Returns
  none

## ◆ BleDTM_crc_checkResult_get()

uint8_t BleDTM_crc_checkResult_get | ( | void |  | ) |

BLE DTM Get CRC Result

Returns
  CRC result success or not.

Return values

  0 | FAILED
  1 | SUCCESS

## ◆ BleDTM_intRxState_check()

uint8_t BleDTM_intRxState_check | ( | void |  | ) |

BLE DTM Check Interrupt State if is RX State or Not

Returns
  Checking result YES or not.

Return values

  0 | NO
  1 | YES

## ◆ BleDTM_phy_reset()

void BleDTM_phy_reset | ( | void |  | ) |

BLE DTM RF PHY Reset

Returns
  none

## ◆ BleDTM_radio_prepare()

void BleDTM_radio_prepare | ( | uint8_t | rx,
|  | uint32_t | packet_type,
|  | uint8_t | radio_mode,
|  | uint32_t | phys_ch
| ) |  |

BLE DTM Preparing the RF Radio.

Note
  At start of each test: Turn off RF, clear interrupt flags of RF, initialize the radio at given RF channel.

Parameters

  [in] | mode | : BLEDTM_TX_MODE or BLEDTM_RX_MODE.
  [in] | packet_type | : packet type.
  [in] | radio_mode | : BLEDTM_RADIO_PHY_1M or BLEDTM_RADIO_PHY_2M.
  [in] | phys_ch | : physical channel.

Returns
  none

## ◆ BleDTM_rssi_get()

int8_t BleDTM_rssi_get | ( | void |  | ) |

BLE DTM Get RSSI Value

Returns
  RSSI value.

## ◆ BleDTM_sleepMode_set()

void BleDTM_sleepMode_set | ( | uint8_t | mode | ) |

BLE DTM Enter Sleep Mode

Parameters

  [in] | mode | sleep mode is BLEDTM_SLEEP_MODE or BLEDTM_DEEP_SLEEP_MODE.

Returns
  none

## ◆ BleDTM_testPayload_set()

void BleDTM_testPayload_set | ( | uint32_t | length | ) |

BLE DTM Set TX test payload

Parameters

  [in] | length | the length of TX test payload.

Returns
  none

## ◆ BleDTM_TR_ManualSet()

void BleDTM_TR_ManualSet | ( | void |  | ) |

BLE DTM Manual Set TX/ RX.

Returns
  none

## ◆ BleDTM_txPower_set()

uint8_t BleDTM_txPower_set | ( | uint8_t | power_index | ) |

BLE DTM Set TX Power

Parameters

  [in] | power_index | : requested TX power level in dBm, enter the index of TX power register table. The TX power register table please refer to "porting_rfpower.c".

Returns
  TX power set result success or not.

Return values

  0 | Success
  1 | FAIL

## ◆ BleDTM_txTest_enable()

void BleDTM_txTest_enable | ( | uint8_t * | headerSrcAddr | ) |

BLE DTM Enable TX Test

Parameters

  [in] | headerSrcAddr | a pointer to header buffer.

Returns
  none